Instalar Ruby 2.1 y Ruby on Rails 4.2.0 en Windows 7

En el momento de escribir este post:
Versión de Ruby : 2.1.5
Versión de RubyGems : 2.4.6
Versión de Rails : 4.2.0

Hace tiempo escribí un post sobre cómo instalar Ruby on Rails en Windows 7, pero a estas alturas se ha quedado algo anticuado, ya que el proceso ha variado en varios aspectos. El más importante es que ya no es necesario instalar una dll externa para sqlite3, que la gem para sqlite3 tiene otro nombre, y que por algún motivo el gestor de rubygems no se instala bien de manera automática, por lo que hay que reinstalarlo.

He de decir que en realidad en el momento de escribir este post la última versión de ruby es la 2.2.1, sin embargo después de 2 horas peléandome con la instalación (sobre todo por el soporte para sqlite3 que no viene de serie y no conseguí poner en marcha), decidí hacer caso a la recomendación a fecha de hoy de rubyinstaller.org:

we recommend you use Ruby 2.1.X installers. These provide a stable language and a extensive list of packages (gems) that are compatible and updated.

Si no queréis perder tiempo, os recomiendo lo mismo, al menos hasta que el soporte para sqlite3 venga de serie en las gems de ruby 2.2.

Dicho esto, los pasos son:

  1. Instalar ruby, usuando el instalador que descargaremos de http://rubyinstaller.org. Al hacerlo, hay que asegurarse de tildar la opción que indica que actualicemos la variable de PATH para que esta versión de ruby esté disponible desde la línea de comandos. Si tenías una versión de Ruby anterior, este cambio en el path hará que la versión por defecto sea la nueva. En caso de que se te haya olvidado activar esta opción, bastará con acceder a las variables del sistema, cambiar manualmente el path y abrir una nueva consola.
  2. gem install rails --no-ri --no-rdoc” seguramente tirará el error

    Could not find a valid gem ‘rails’ (>= 0), here is why: Unable to download data from https://rubygems.org/ – SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/latest_specs.4.8.gz)

    en cuyo caso la mejor solución es descargar manualmente la utilidad rubygems desde https://rubygems.org/pages/download (formato zip), después descomprimirlo manualmente en una carpeta, entrar en ella y ejecutar “ruby setup.rb“. Esto instalará correctamente la utilidad y podremos seguir adelante. Encontré otra solución que consiste en decirle al comando gem que en vez de usar https use http para la descarga (gem source -a http://rubygems.org/), pero al ejecutar el bundler más adelante se vuelve a quejar de problemas de conexión SSL, mientras que reinstalando rubygems el problema se soluciona correctamente.

  3. Ahora sí: gem install rails --no-ri --no-rdoc
  4. Instalar el development kit, que permitirá compilar gems nativas. Descargarlo de http://rubyinstaller.org/downloads/, descomprimirlo en algún sitio, acceder a la carpeta y ejecutar “ruby dk.rb init” y después “ruby dk.rb install” para asociarlo a nuestra nueva instalación de ruby.
  5. cd /ruta/hacia/la/carpeta/del/proyecto
  6. rails new nombre_proyecto
  7. rails server

Y listo. Nada de pelearse más con sqlite3! 🙂
Espero que sea de utilidad. ¡Y happy Railing!

  1. Aun no hay comentarios.

  1. Aun no hay enlaces.

@jfcapristan